Ddeml.MONHSZSTRUCT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Ddeml, class: MONHSZSTRUCT

Package com.sun.jna.platform.win32

# Class Ddeml.MONHSZSTRUCT

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Ddeml.MONHSZSTRUCT

Enclosing interface:
  Ddeml

@FieldOrder({"cb","fsAction","dwTime","hsz","hTask","str"}) public static class Ddeml.MONHSZSTRUCT extends Structure
Contains information about a Dynamic Data Exchange (DDE) string handle. A DDE monitoring application can use this structure when monitoring the activity of the string manager component of the DDE Management Library.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cb`
  The structure's size, in bytes.
  `int`
  `dwTime`
  The Windows time at which the action specified by the fsAction member takes place.
  `int`
  `fsAction`
  The action being performed on the string identified by the hsz member.
  `Ddeml.HSZ`
  `hsz`
  A handle to the string.
  `WinNT.HANDLE`
  `hTask`
  A handle to the task (application instance) performing the action on the string handle.
  `byte[]`
  `str`
  String identified by the hsz member.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MONHSZSTRUCT()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getStr()`
  `void`
  `read()`
  Reads the fields of the struct from native memory
  `void`
  `write()`
  Writes the fields of the struct to native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cb

    public int cb
    The structure's size, in bytes.

  - ### fsAction

    public int fsAction
    The action being performed on the string identified by the hsz member.

    Value | Meaning
    --- | ---
    MH_CLEANUP (4) | An application is freeing its DDE resources, causing the system to delete string handles the application had created. (The application called the `Ddeml.DdeUninitialize(int)` function.)
    MH_CREATE (1) | An application is creating a string handle. (The application called the `Ddeml.DdeCreateStringHandle(int, java.lang.String, int)` function.)
    MH_DELETE (3) | An application is deleting a string handle. (The application called the `Ddeml.DdeFreeStringHandle(int, com.sun.jna.platform.win32.Ddeml.HSZ)` function.)
    MH_KEEP (2) | An application is increasing the usage count of a string handle. (The application called the `Ddeml.DdeKeepStringHandle(int, com.sun.jna.platform.win32.Ddeml.HSZ)` function.)

  - ### dwTime

    public int dwTime
    The Windows time at which the action specified by the fsAction member takes place. Windows time is the number of milliseconds that have elapsed since the system was booted.

  - ### hsz

    public Ddeml.HSZ hsz
    A handle to the string. Because string handles are local to the process, this member is a global atom.

  - ### hTask

    public WinNT.HANDLE hTask
    A handle to the task (application instance) performing the action on the string handle.

  - ### str

    public byte[] str
    String identified by the hsz member.

- ## Constructor Details

  - ### MONHSZSTRUCT

    public MONHSZSTRUCT()

- ## Method Details

  - ### write

    public void write()
    Description copied from class: `Structure`
    Writes the fields of the struct to native memory
    Overrides:
      `write` in class `Structure`

  - ### read

    public void read()
    Description copied from class: `Structure`
    Reads the fields of the struct from native memory
    Overrides:
      `read` in class `Structure`

  - ### getStr

    public String getStr()